REGULATOR_REGISTER(9)

NAME
regulator_register - register regulator

SYNOPSIS

struct regulator_dev * regulator_register(const struct regulator_desc * regulator_desc, const struct regulator_config * config);

ARGUMENTS

regulator_desc
    regulator to register

config
    runtime configuration for regulator

DESCRIPTION

Called by regulator drivers to register a regulator. Returns a valid pointer to struct regulator_dev on success or an ERR_PTR on error.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT